Bots
Replace a Google Chat app key
Validate a new service-account key for this bot’s Google Chat app exactly as a new install does (the key’s own project, its number from Cloud Resource Manager, one Chat API read), require the same project and number, then store it in place of the current key and push it to every serving daemon. The key is write-only. The deployment-owned app takes its key from the Setup Server instead (409).
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
orgId*string
id*string
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X PUT "https://example.com/v1/orgs/string/bots/string/googlechat/key" \ -H "Content-Type: application/json" \ -d '{ "serviceAccountKey": "string" }'{ "id": "string", "name": "string", "platform": "string", "prebuilt": true, "slackAppId": "string", "discordAppId": "string", "feishuAppId": "string", "feishuRegion": "feishu", "createdBy": "string", "shareable": true, "joinPublicChannels": true, "transport": "socket", "inUseByAgentId": "string", "agentIds": [ "string" ], "releasedWhenFreed": true, "lastUsedAt": "string", "freedFromAgent": "string", "teamId": "string", "workspaceId": "string", "workspaceName": "string", "revokedAt": "string", "revokedReason": "app_uninstalled", "revokedEvidence": "event", "revokedCode": "string", "credentialRejectedAt": "string", "credentialRejectedCode": "string", "externalAppId": "string", "platformConfig": { "property1": "string", "property2": "string" }, "createdAt": "string"}